﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using System.Diagnostics;

namespace WindowsFormsApplication10
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];

            if (false == band.Columns.Exists("CheckBox"))
            {
                UltraGridColumn checkBoxColumn = band.Columns.Add("CheckBox");
                checkBoxColumn.DataType = typeof(bool);
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            foreach (UltraGridRow row in this.ultraGrid1.Rows)
            {
                row.Cells["CheckBox"].Value = !(bool)row.Cells["CheckBox"].Value;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            foreach (UltraGridRow row in this.ultraGrid1.Rows)
            {
                Debug.WriteLine(row.Cells["CheckBox"].Value, row.Cells[0].Text);
            }
        }
    }
}
